## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/gradient.h File Reference

Simple color gradient. More...

`#include "csextern.h"`
`#include "csutil/cscolor.h"`
`#include "csutil/array.h"`
`#include "csgfx/rgbpixel.h"`

Go to the source code of this file.

## Classes

class | csGradient
| A simple color gradient. More...
struct | csGradientShade
| An entry in a csGradient gradient. More...

## Detailed Description

Simple color gradient.

Definition in file gradient.h.